Subject: Re: [PATCH 8/9] gitweb: Convert output to using indirect file handle

From: "J.H." <[email-masked]>
Date: Mon, 25 Jan 2010 12:48:45 -0800

> So there is a bit of rule of preservation of difficulty at work.  Either
> we have large patch adding explicit filehandle to all print statements
> 'print <sth> -> print $out <sth>' but simple code, or have smaller patch
> but complicated *STDOUT manipulation, or have small patch but rely on 
> non-core CPAN modules present.

I think depending in non-core CPAN modules is a really bad idea, and
will cause some concern and consternation with mainline distributions,
besides making it more complicated for users to get this up and running
quickly and easily.  While I agree there are other ways of handling this
I think just adding the filehandle to the print statements provides the
easiest cross section of usability and functionality for everything
involved.

- John 'Warthog9' Hawley